javax.jnlp

## Interface SingleInstanceService

-     public interface SingleInstanceService

  The SingleInstanceService provides a way to ensure that only one instance of the application is ever running - singleton behavior at the application level.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSingleInstanceListener(SingleInstanceListener listener)` Adds the specified SingleInstanceListener to the notification list.
    `void` | `removeSingleInstanceListener(SingleInstanceListener listener)` Removes the specified SingleInstanceListener from the notification list.

- - ### Method Detail

    - #### addSingleInstanceListener

          void addSingleInstanceListener(SingleInstanceListener listener)

      Adds the specified SingleInstanceListener to the notification list. This listener is notified when a new instance of the application is started.
      Parameters:
        `listener` - the single instance listener to be added. No action is performed if it is null.

    - #### removeSingleInstanceListener

          void removeSingleInstanceListener(SingleInstanceListener listener)

      Removes the specified SingleInstanceListener from the notification list. This listener will not be notified if a new instance of the application is started.
      Parameters:
        `listener` - the single instance listener to be removed. No action is performed if it is null or not in the notification list.

Submit a bug or feature